/**
 * Angular bootstrapping
 */
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { decorateModuleRef } from './app/environment';
import { bootloader } from '@angularclass/hmr';
/**
 * App Module
 * our top level module that holds all of our components
 */
import { EnadawcaAppModule } from './app';

/**
 * Bootstrap our Angular app with a top level NgModule
 */
export function main(): Promise<any> {
  return platformBrowserDynamic()
    .bootstrapModule(EnadawcaAppModule)
    .then(decorateModuleRef)
    .catch((err) => console.error(err));
}
/**
 * Needed for hmr
 * in prod this is replace for document ready
 */
bootloader(main);
